#pragma once

#include "CoreMinimal.h"
#include "ScreenshotToolSettingAsset.h"
#include "ScreenshotViewSetting.h"
#include "ECustomizationCategory.h"
#include "ScreenshotToolViewAsset.generated.h"

UCLASS(Blueprintable)
class UScreenshotToolViewAsset : public UScreenshotToolSettingAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<ECustomizationCategory, FScreenshotViewSetting> Defaults;

public:
	UScreenshotToolViewAsset();
};

FORCEINLINE uint32 GetTypeHash(const UScreenshotToolViewAsset) { return 0; }
